/**
 * This script marks the current path as active in the sidebar.
 */

document.addEventListener('DOMContentLoaded', () => {
    const currentPath = window.location.pathname;
    const sidebarLinks = document.querySelectorAll('.sidebar-link');

    sidebarLinks.forEach(link => {
        // Skip links that are inside buttons (like logout)
        if (link.tagName === 'BUTTON') return;

        if (link.getAttribute('href') === currentPath) {
            const parentItem = link.closest('.sidebar-item');
            if (parentItem) {
                parentItem.classList.add('active');
            } else {
                link.classList.add('active');
            }
        }
    })
})
